ChartDirector Ver 5.0 (PHP Edition)

PieChart.setLabelFormat

Usage

setLabelFormat(formatString)

Description

Sets the format of the all sector labels.
This method affects all sectors. To set the label format for one particular sector only, use Sector.setLabelFormat.
The default sector label format depends on the label layout method used (see PieChart.setLabelLayout).

Label Layout Method | Default Label Format
--- | ---
Circular Layout |
    {label}<*br*>{percent}%
(The "<*br*>" above is the CDML syntax for a line break.)
Side Layout |
    {label} ({percent}%)

Please refer to Parameter Substitution and Formatting on all available parameters and how to format them.

Arguments

Argument | Default | Description
--- | --- | ---
formatString | (Mandatory) | The format string.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.